binary.h File Reference

MPD client library. More...

`#include <stdbool.h>`

Go to the source code of this file.

## Functions

bool | mpd_send_binarylimit (struct mpd_connection *connection, unsigned limit)
bool | mpd_run_binarylimit (struct mpd_connection *connection, unsigned limit)

## Detailed Description

MPD client library.

Do not include this header directly. Use mpd/client.h instead.

Definition in file binary.h.

## Function Documentation

## mpd_send_binarylimit()

bool mpd_send_binarylimit | ( | struct mpd_connection * | connection,
|  | unsigned | limit
| ) |  |

Sends the "binarylimit" command to MPD.

Parameters

  connection | a valid and connected mpd_connection.
  limit | the binary chunk size limit.

Returns
  true on success

Since
  libmpdclient 2.20, MPD 0.22.4

## mpd_run_binarylimit()

bool mpd_run_binarylimit | ( | struct mpd_connection * | connection,
|  | unsigned | limit
| ) |  |

Shortcut for mpd_send_binarylimit() and mpd_response_finish().

Parameters

  connection | A valid and connected mpd_connection.
  limit | the binary chunk size limit.

Returns
  true on success

Since
  libmpdclient 2.20, MPD 0.22.4